<?xml version="1.0"?>
<!-- Generated by the OpenACS Package Manager -->

<package key="lars-blogger" url="http://openacs.org/repository/apm/packages/lars-blogger" type="apm_application">
    <package-name>Lars Blogger</package-name>
    <pretty-plural>Lars Bloggers</pretty-plural>
    <initial-install-p>f</initial-install-p>
    <singleton-p>f</singleton-p>
    
    <version name="2.5.0" url="http://openacs.org/repository/download/apm/lars-blogger-2.5.0.apm">
        <owner url="mailto:lars@pinds.com">Lars Pind</owner>
        <summary>Individual or collaborative web logs.</summary>
        <release-date>2009-07-22</release-date>
        <vendor url="http://www.openacs.org">OpenACS</vendor>
        <description format="text/html">Weblog creation and management with notifications, RSS, trackpack, technorati, blogroll, pings, archives, draft and published entries, includable templates for presenting on other pages, and permissioning for multiple users.</description>
        <maturity>0</maturity>

        <provides url="lars-blogger" version="2.5.0"/>
        <requires url="acs-datetime" version="5.2.2"/>
        <requires url="acs-tcl" version="5.4.2"/>
        <requires url="categories" version="1.1.2d3"/>
        <requires url="general-comments" version="5.2.0"/>
        <requires url="notifications" version="5.4.2"/>
        <requires url="rss-support" version="0.3"/>
        <requires url="trackback" version="0.1"/>
        <requires url="xml-rpc" version="0.3"/>

        <callbacks>
            <callback type="after-mount"  proc="lars_blogger::install::after_mount"/>
            <callback type="before-uninstantiate"  proc="lars_blogger::install::package_uninstantiate"/>
            <callback type="after-instantiate"  proc="lars_blogger::install::package_instantiate"/>
        </callbacks>
        <parameters>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="CategoryContainer"  default="package_id" description="Should the category container for the weblog be &quot;subsite_id&quot; or &quot;package_id&quot;"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="channel_image_height"  description="Height in pixels of the image to be used for this blog as an RSS channel" section_name="rss"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="channel_image_url"  description="The URL, relative to this server, to the image that corresponds to this blog in the rss channel" section_name="rss"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="channel_image_width"  description="Width in pixels of the image to be used for this blog as an RSS channel" section_name="rss"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="DisplayUsersP"  default="0" description="Should we display a list of bloggers on the index page."/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="EnableAutoDiscoveryAndPing"  default="1" description="Enable auto-discovery and sending of trackback pings" section_name="Trackback"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="EnableCategoriesP"  default="1" description="Should entries be categorized?"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="EnableIncomingTrackback"  default="1" description="Enable incoming trackback" section_name="Trackback"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="HeaderBackgroundColor"  default="#dcdcdc" description="Background color for the header bars, those with the entry date, calendar, etc."/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="ImmediatePublishP"  default="0" description="If 1 then publishing will be immediate and there will be no drafts screen or unpublish etc."/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="max_content_length"  default="0" description="Maximum length of content for an entry when display on pages listing entries, such as the index page and the archive pages. Enter 0 to show full contents of all entries."/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="MaxNumEntriesOnFrontPage"  description="Maximum number of entries to show on the weblog front page. 0 or empty string for no maximum."/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="MinNumEntriesOnFrontPage"  default="3" description="Minimum number of entries to show on the weblog front page. 0 or empty string for no minimum."/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="NumberOfCommentsInIncludelet"  default="10" description="How many comments should be included in the &quot;last n comments&quot; includelet?"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="NumDaysOnFrontPage"  default="30" description="Number of days worth of entries on the weblog front page. Default is 30. Set to 0 or empty string for no date limit."/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="OnlyManageOwnPostsP"  default="0" description="If 1 only the original poster or an admin can edit thier posts"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="package_rss_feed_p"  default="1" description="Should we build an RSS feed for this instance." section_name="rss"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="public_url"  description="The public URL for this blog (in case you've put the blog on your front page, for example)"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="rss_file_name"  default="rss.xml" description="What name should we advertise the RSS feed under, relative to the blog mount point. Leave blank if no RSS feed." section_name="rss"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="rss_file_url"  default="" description="What name should we advertise the RSS feed under, can be relative or absolute URL. Leave blank to defer to rss_file_url parameter. Use this to redirect RSS to an external service such as FeedBurner" section_name="rss"/>            
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="rss_max_description_length"  default="500" description="Maximum length of entry included in the 'description' part of the RSS feed. 0 means no truncation." section_name="rss"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="ShowArchiveP"  default="1" description="Show archive calendar"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="ShowPosterP"  default="1" description="Show who posted the entry and when"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="StylesheetURL"  default="/resources/lars-blogger/lars-blogger.css" description="The url to the stylesheet used in conjunction with the weblog instance."/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="TechnoratiApiCosmosNumber"  default="40" description="Number of entries to retrieve in Cosmos calls. The includelet can decide to display a different number of entries." section_name="technorati"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="TechnoratiApiEnabledP"  default="0" description="Set this to 1 if you want to enable the Technorati API." section_name="technorati"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="TechnoratiApiFrequency"  default="1200" description="The frequency with which Technorati API fetches are made, in seconds." section_name="technorati"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="TechnoratiApiKey"  description="An API key is necessary to use the Technorati API. After logging in at technorati.com you can retrieve your key by visiting http://www.technorati.com/members/apikey.html and pasting it here." section_name="technorati"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="TechnoratiApiUrl"  description="The URL which will be used in Technorati API lookups. If you leave this empty it will default to the blog's URL." section_name="technorati"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="TrackbackMaxExcerpt"  default="200" description="Maximum length of excerpt to send for trackback" section_name="Trackback"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="user_rss_feed_p"  default="0" description="Should we build an RSS feed for each user." section_name="rss"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="weblogs_ping_url"  default="http://rpc.weblogs.com/RPC2" description="The URL to post the update ping message to" section_name="weblogs-com"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="weblogs_update_ping_p"  default="1" description="Should we ping weblogs.com on updates to this blog?" section_name="weblogs-com"/>
        </parameters>

    </version>
</package>
